/*
 * @(#) PlotEvent.java 1.0 2000/12/7
 * Copyright (c) 2000 Larry Rodrigues
 */
package vis.beans.events;
import java.util.*;
import java.io.*;
/**
 * PlotEvent class. An event state class for Plot events.
 * @version 1.0
 */
public class PlotEvent extends EventObject{
    protected Object x;
    protected Object y;
    protected String[] xText;
    protected String title =null;
    protected String xLabel =null;
    protected String yLabel =null;

    public PlotEvent(Object obj, Object data){
       super(obj);
       this.y = data;
    }
    public PlotEvent(Object obj, Object x, Object y){
       super(obj);
       this.y = y;
       this.x = x;
    }
    public PlotEvent(Object obj, String[] x, Object y){
       super(obj);
       this.y = y;
       this.xText = x;
    }
    public Object getXValues(){ return x;}
    public Object getYValues(){ return y;}
    public String[] getXTextValues(){return xText;}
    public void setTitle(String title){this.title = title;}
    public String getTitle(){return title;}
    public void setXLabel(String xl){this.xLabel = xl;}
    public String getXLabel(){return xLabel;}
    public void setYLabel(String yl){this.yLabel = yl;}
    public String getYLabel(){return yLabel;}
}

